#!/usr/bin/env node
// 引入自定义命令组件
const program = require('commander')

// 设置版本号
program.version(require('../package').version)

// 设置 init 命令，name 为参数
program.command('init <name>')
    .description('init project')
    .option('-s, --session', 'session param')
    .action(require('../lib/init'))

// 命令的执行其实是 commander 解析 process.argv 参数来启动
program.parse(process.argv);